%global momorel 1
%global real_version 0.15.3

Name:           aria2
Version:        0.15.3
Release:        %{momorel}m%{?dist}
Summary:        High speed download utility with resuming and segmented downloading
Group:          Applications/Internet
License:        GPLv2
URL:            http://aria2.sourceforge.net/
#Source0:        http://dl.sourceforge.net/sourceforge/%{name}/%{name}c-%{version}.tar.bz2
Source0:        http://dl.sourceforge.net/sourceforge/%{name}/%{name}c-%{real_version}.tar.bz2
NoSource:	0
Patch0:         aria2-0.13.0-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  bison
#BuildRequires:  c-ares-devel cppunit-devel
BuildRequires:  cppunit
BuildRequires:  gettext gnutls-devel >= 2.4.1
BuildRequires:  libgcrypt-devel libxml2-devel

%description
aria2 is a download utility with resuming and segmented downloading.
Supported protocols are HTTP/HTTPS/FTP/BitTorrent. It also supports Metalink
version 3.0.

Currently it has following features:
- HTTP/HTTPS GET support
- HTTP Proxy support
- HTTP BASIC authentication support
- HTTP Proxy authentication support
- FTP support(active, passive mode)
- FTP through HTTP proxy(GET command or tunneling)
- Segmented download
- Cookie support(currently aria2 ignores "expires")
- It can run as a daemon process.
- BitTorrent protocol support with fast extension.
- Selective download in multi-file torrent
- Metalink version 3.0 support(HTTP/FTP/BitTorrent).
- Limiting download/upload speed

%prep
# %setup -q -n %{name}c-%{version}
%setup -q -n %{name}c-%{real_version}
%patch0 -p1 -b .gcc43

%build
%configure --enable-bittorrent \
           --enable-metalink \
           --disable-rpath \
           --with-gnutls \
           --with-libcares \
           --with-libxml2 \
           -program-transform-name=""

%make


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang aria2c
rm -f %{buildroot}%{_datadir}/locale/locale.alias

%clean
rm -rf %{buildroot}


%files -f aria2c.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/aria2c
%{_mandir}/man*/*
%{_datadir}/doc/aria2c

%changelog
* Wed Sep 10 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.15.3-1m)
- update 0.15.3

* Fri Aug 29 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.15.2-1m)
- update 0.15.2

* Tue Jul 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.14.0-2m)
- rebuild aginst gnutls-2.4.1

* Sun Jun 22 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.14.0-1m)
- update 0.14.0

* Sun May 31 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.13.2.1-1m)
- update 0.13.2+1

* Tue May 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.13.1.2-1m)
- update 0.13.1+2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.13.1-2m)
- rebuild against gcc43

* Thu Mar 27 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.13.1-1m)
- update 0.13.1

* Wed Mar  5 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.13.0-1m)
- Initial Commit Momonga Linux. based Fedora SPEC
